Busca parâmetros de folha de pagamento
curl --request GET \
--url https://api.example.com/payment-sheet/parameterconst options = {method: 'GET'};
fetch('https://api.example.com/payment-sheet/parameter', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.example.com/payment-sheet/parameter"
response = requests.get(url)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/payment-sheet/parameter"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
{
"pagina": 0,
"total": 5,
"unidades": [
{
"id": "123-abc",
"code": 1,
"name": "Keevo NG Folha",
"source": "Keevo",
"isActive": true,
"createdAt": "2023-07-23T00:00:00.000Z",
"updatedAt": "2023-07-23T00:00:00.000Z",
"businessUnit": {
"id": "b5887a64-6aa1-43e8-b233-ffadc7f92ca6",
"name": "Tron",
"documentNumber": "15621118054",
"logo": "https://s3-bucket.s3.amazonaws.com/files/tenant_x/file.jpg"
},
"fields": [
{
"systemEvent": "OT_STANDARD_50_PERCENT",
"eventId": "123-abc",
"eventCode": "250087",
"description": "Keevo NG Folha",
"isActive": true,
"advancedPercentage": 0.5
}
],
"automation": [
{
"name": "Departamento X",
"type": "DEPARTMENT",
"departmentId": "123-abc",
"businessUnitId": "123-abc",
"punchRuleId": "123-abc"
}
]
}
],
"limite": 10
}{
"service": "<string>",
"method": "<string>",
"message": "message erro"
}Payment Sheet
Busca parâmetros de folha de pagamento
GET
/
payment-sheet
/
parameter
Busca parâmetros de folha de pagamento
Query Parameters
Texto pesquisado para filtrar consulta
Página que deseja retornar os resultados
Example:
0
Quantidade de itens que retorna na consulta. Min 1 - Max 100
Example:
100
Nome da fonte do parâmetro de folha de pagamento (busca exata)
Example:
"Keevo"
ID da unidade de negócio
Example:
"123-456abc"
Response
Parâmetros de folha de pagamento